datablock TSShapeConstructor(Hero4x4DTS)
{
	baseShape  = "./shapes/Hero4x4.dts";
	sequence0  = "./shapes/steering.dsq steering";
	sequence1  = "./shapes/4x4springs.dsq spring0";
	sequence2  = "./shapes/4x4springs.dsq spring1";
	sequence3  = "./shapes/4x4springs.dsq spring2";
	sequence4  = "./shapes/4x4springs.dsq spring3";
	sequence5  = "./shapes/eyepoints.dsq eyefront1";
	sequence6  = "./shapes/eyepoints.dsq hoodview";
	sequence7  = "./shapes/eyepoints.dsq rearview";
	sequence8  = "./shapes/eyepoints.dsq rearbumper";
	sequence9  = "./shapes/eyepoints.dsq frontunder";
};

datablock WheeledVehicleData(Hero4x4Vehicle)
{
	category = "Vehicles";
	uiName = "Hero '88 4x4";

	displayName = "";
	shapeFile = "./shapes/Hero4x4.dts";
	emap = true;
	minMountDist = 3;
	
	handsOnVehicle = 1;
	hasScriptedHeadlights = 1;
	hasTurnSignals = 1;
	usesVehicleEditHelper = 1;

	massCenter = "0 0 0.35";

	engineTorque = 4000;
	engineBrake = 1200;
	brakeTorque = 2400;
	maxWheelSpeed = 35;

	numFactoryColors = 13;
	factoryColor[1] = "AA2428 Bright Red";
	factoryColor[2] = "772026 Medium Red";
	factoryColor[3] = "591916 Dark Red";
	factoryColor[4] = "B3C8CC Light Blue";
	factoryColor[5] = "1073A8 Bright Blue";
	factoryColor[6] = "1F3359 Dark Blue";
	factoryColor[7] = "E5E0B7 Cream";
	factoryColor[8] = "CCBA35 Yellow";
	factoryColor[9] = "7F442B Brown";
	factoryColor[10] = "FFFFEE White";
	factoryColor[11] = "A9A9A0 Silver";
	factoryColor[12] = "606060 Gray";
	factoryColor[13] = "151515 Black";

	rollForce = 0;
	yawForce = 0;
	pitchForce = 0;
	rotationalDrag = 1;

	rideable = true;
	lookUpLimit = 0.6;
	lookDownLimit = 0.5;
 
	numMountPoints = 6;
	mountThread[0] = "sit";
	mountThread[1] = "sit";
	mountThread[2] = "sit";
	mountThread[3] = "sit";
	mountThread[4] = "sit";
	mountThread[5] = "sit";

	paintable = true;

	maxDamage = 200.00;
	destroyedLevel = 400.00;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	maxSteeringAngle = 0.85;
	integration = 4;
	//tireEmitter = none;

	cameraRoll = false;
	cameraMaxDist = 10;
	cameraOffset = 3.5;
	cameraTilt = 0.25;

	cameraLag = 0.0;
	cameraDecay = 0.75;
	collisionTol = 0.1;
	contactTol = 0.1;

	useEyePoint = false;	

	defaultTire = Hero4x4Tire;
	defaultSpring = Hero4x4Spring;

	numWheels = 4;

	mass = 300;
	density = 5.0;
	drag = 1.6;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;
	softImpactSpeed = 10;
	hardImpactSpeed = 15;
	groundImpactMinSpeed = 10.0;

	steeringAutoReturn = true;
	steeringAutoReturnRate = 0.05;
	steeringAutoReturnMaxSpeed = 0.1;
	steeringUseStrafeSteering = true;
	steeringStrafeSteeringRate = 0.05;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
   

	damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

	damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

	numDmgEmitterAreas = 1;


	initialExplosionProjectile = vehicleExplosionProjectile;
	initialExplosionOffset = 0;

	burnTime = 4000;

	finalExplosionProjectile = vehicleFinalExplosionProjectile;
	finalExplosionOffset = 0.5;



	minRunOverSpeed    = 4;
	runOverDamageScale = 8;
	runOverPushScale   = 1.2;

	protectPassengersBurn   = false;
	protectPassengersRadius = true;
	protectPassengersDirect = false;
};