function strIsNum(%str)
{
	%table = "-.1234567890";
	%len = strlen(%str);
	if(%len == 0)
		return false;
	for(%i = 0; %i < %len; %i ++)
	{
		if(strPos(%table, getSubStr(%str, %i, 1)) == -1)
			return false;
	}
	return true;
}

function Hero4x4Vehicle::VehicleEditHelper(%this, %veh, %c, %arg0, %arg1)
{
	if(getTrustLevel(%c, %veh) < 2)
		return %c.chatMessage("\c3You can't change a vehicle without the owner's trust.");
	
	%veh.speed = vectorLen(%veh.getVelocity());
	if(%veh.speed > 2)	
		return %c.chatMessage("\c3The vehicle can't be customized while in motion.");
	
	%alpha = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	
	if(%arg0 $= "color" || %arg0 $= "c")
	{
		%c.chatMessage("<color:991111>-----\c6Hero4x4 Factory Paint<color:991111>-----");
		%c.chatMessage("    <color:888888>Usage: \c4/veh _ \c6with one of the numbers below. e.g. '\c4/veh 1\c6'");
		
		for(%i = 1; %i <= %this.numFactoryColors; %i++)
		{
			%c.chatMessage("        \c6" @ %i @ ":   <color:" @ getWord(%this.factoryColor[%i], 0) @ ">[" @ getWords(%this.factoryColor[%i], 1) @ "]");
		}
		return;
	}

	if(%arg0 $= "bed")
	{
		if(strIsNum(%arg1) && %arg1 < 2)
		{
			if(%veh.bedAccessory !$= "none") %veh.hideNode(%veh.bedAccessory);
			switch(%arg1)
			{
				case 0:
					%veh.bedAccessory = "none";
				case 1:
					%veh.bedAccessory = "bedcover";
					%veh.unhideNode("bedcover");
			}
		}
		else
		{
			%c.chatMessage("<color:991111>-----\c6Hero4x4 Bed Accessories<color:991111>-----");
			%c.chatMessage("    <color:888888>Usage: \c3/veh bed _ \c6with one of the numbers below. e.g. '\c3/veh bed 1\c6'");
			%c.chatMessage("        \c30\c8 - \c6Remove accessory");
			%c.chatMessage("        \c31\c8 - \c6Cover");
		}

		return;
	}
//	if(%arg0 $= "interior" || %arg0 $= "i")
//	{
//		%c.chatMessage("<color:cccccc>-----\c6Hero4x4 Interior Colors<color:cccccc>-----");
//		%c.chatMessage("    <color:888888>Usage: \c4/veh i_ \c6with one of the letters below. e.g. '\c4/veh i1\c6'");	
//		
//		for(%i = 1; %i <= %this.numInteriorColors; %i++)
//		{
//			%c.chatMessage("        \c6I" @ %i @ ":   <color:" @ getWord(%this.interiorColor[%i], 0) @ ">[" @ getWords(%this.interiorColor[%i], 1) @ "]");
//		}
//		return;
//	}
//	if(%arg0 $= "roof" || %arg0 $= "r")
//	{
//		%c.chatMessage("<color:cccccc>-----\c6Hero4x4 Roof Colors<color:cccccc>-----");
//		%c.chatMessage("    <color:888888>Usage: \c4/veh r_ \c6with one of the letters below. e.g. '\c4/veh r1\c6'");	
//		
//		for(%i = 1; %i <= %this.numRoofColors; %i++)
//		{
//			%c.chatMessage("        \c6R" @ %i @ ":   <color:" @ getWord(%this.roofColor[%i], 0) @ ">[" @ getWords(%this.roofColor[%i], 1) @ "]");
//		}
//		return;
//	}
	
	if(strIsNum(%arg0))
	{
		if(%arg0 <= %this.numFactoryColors && %arg0 > 0)
		{
		return %veh.setNodeColor("ALL", getColorF(getWord(%this.factoryColor[%arg0], 0)));
		}
		
		else
		{
			return %c.chatMessage("\c3That is not a valid color.");
		}
	}

//	if(getSubStr(%arg0, 0, 1) $= "i")
//	{
//		%selection = (stripChars(%arg0, "i"));
//		if(%selection <= %this.numInteriorColors && %selection > 0)
//		{
//			%veh.interiorColor = getColorF(getWord(%this.interiorColor[%selection], 0));
//			%veh.setNodeColor("interior", %veh.interiorColor);
//			%veh.setNodeColor("steeringwheel", %veh.interiorColor);
//			return;
//		}
//	}

//	if(getSubStr(%arg0, 0, 1) $= "r")
//	{
//		%selection = (stripChars(%arg0, "r"));
//		if(%selection <= %this.numRoofColors && %selection > 0)
//		{
//			%veh.roofColor = getColorF(getWord(%this.roofColor[%selection], 0));
//			%veh.setNodeColor("roof", %veh.roofColor);
//			return;
//		}
//	}

	
	
	
	%c.chatMessage("<color:991111>-----\c6Hero 4x4 \c3V0.1.2 \c8- \c6Vehicle Edit Helper<color:991111>-----");
	%c.chatMessage("    <color:888888>Usage: \c0/veh __ \c6with one of the words below.");
	%c.chatMessage("        \c0Color\c7 OR \c0c \c8- \c6View factory paint colors.");
	%c.chatMessage("        \c0Bed\c7 \c8- \c6View options for the bed's appearance.");
//	%c.chatMessage("        \c4Interior \c8- \c6View interior colors.");
///	%c.chatMessage("        \c4Roof \c8- \c6View roof colors.");
}