package HeroPackage
{
	function HeroVehicle::onAdd(%data, %veh)
	{
		Parent::onAdd(%data, %veh);
		
		%veh.spawnMountedLightBot(6);

		%veh.bedAccessory = "none";
		%veh.hidenode(bedcover);

		%veh.headlightState = 1;
		
		%veh.setWheelPowered(0, 0);
		%veh.setWheelPowered(1, 0);
		%veh.setWheelTire(2, HeroRearTire);
		%veh.setWheelTire(3, HeroRearTire);


		%veh.hidenode(lights_white_1);
		%veh.hidenode(lights_amberL_1);
		%veh.hidenode(lights_amberR_1);
		%veh.hidenode(lights_brake_1);
		%veh.hidenode(lights_brake_2);
		%veh.hidenode(lights_reverse_1);

		//%veh.interiorColor = getColorF("6D3E2C");
		//%veh.roofColor = getColorF("202322");
	}

//	function Vehicle::setNodeColor(%veh,%node,%color)
//	{
//		parent::setNodeColor(%veh,%node,%color);
//		if(%veh.getDatablock().isHeroVehicle && %node $= "ALL")
//		{
//			%veh.setNodeColor("interior", %veh.interiorColor);
//			%veh.setNodeColor("steeringwheel", %veh.interiorColor);
//			if(%veh.getDatablock().getName() $= "HeroConvertibleVehicle")
//			{
//				%veh.setNodeColor("roof0", %veh.roofColor);
//				%veh.setNodeColor("roof1", %veh.roofColor);
//			}
//			else
//			{
//				%veh.setNodeColor("roof", %veh.roofColor);
//			}
//			if(%veh.hasDriver)
//			{
//				%driver = %veh.getMountedObject(0);
//				%veh.setNodeColor($rhand[%driver.client.rhand], %driver.client.rhandcolor);
//				%veh.setNodeColor($lhand[%driver.client.lhand], %driver.client.lhandcolor);
//			}
//		}
//	}
};
activatepackage(HeroPackage);



package onDriverEnterPackage
{
	function armor::onMount(%this, %obj, %vehicle, %node)
	{
		Parent::onMount(%this, %obj, %vehicle, %node);
		
		if(%node == 0 && isObject(%vehicle) && isFunction(%vehicle.dataBlock, onDriverEnter))
			%vehicle.dataBlock.onDriverEnter(%vehicle, %obj);
	}

};
activatePackage(onDriverEnterPackage);

function HeroVehicle::onDriverEnter(%data, %veh)
{	
	//onDriverEnter and onDriverLeave both are called many times (up to 14) for some reason.
	//The hasDriver variable makes it so these things are done only one time each.
	if(!%veh.hasDriver)
	{
		%veh.hasDriver = 1;
		
		%data.headlights(%veh, "restore");
		
		%data.SpeedCheck(%veh);
	}
}

function HeroVehicle::onDriverLeave(%data, %veh)
{		
	if(%veh.hasDriver)
	{
		%veh.hasDriver = 0;

		%veh.braking = 0;
		%veh.hidenode(lights_brakeR_2);
		%veh.hidenode(lights_brakeL_2);
		
		%veh.reversing = 0;
		%veh.unhidenode(lights_reverse_0);
		%veh.hidenode(lights_reverse_1);

		cancel(%veh.SpeedCheckSchedule);
		%data.turnSignal(%veh, 0);
		%data.headlights(%veh, "off");
	}
}

function HeroVehicle::onRemove(%data, %veh)
{
	%veh.removeMountedLightBot(6);
}

function HeroVehicle::SpeedCheck(%data, %veh)
{
	if(isEventPending(%veh.SpeedCheckSchedule)) return;
	if(!isObject(%veh)) return;
	
	%veh.speed = vectorDot(%veh.getVelocity(), %veh.getForwardVector());
	
	if(!%veh.reversing && %veh.speed <= -3)
	{
		%veh.hidenode(lights_reverse_0);
		%veh.unhidenode(lights_reverse_1);
		%veh.reversing = 1;
	}
	else if(%veh.reversing && %veh.speed > -0.1)
	{
		%veh.unhidenode(lights_reverse_0);
		%veh.hidenode(lights_reverse_1);
		%veh.reversing = 0;
	}
	
	%veh.SpeedCheckSchedule = %data.schedule(111, "SpeedCheck", %veh);
}